Changeset 2885 for ThirdParty/SCIP


Ignore:
Timestamp:
Sep 12, 2013 12:20:52 AM (6 years ago)
Author:
tkr
Message:

Re-running autotools

Location:
ThirdParty/SCIP/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/Makefile.in

    r2713 r2885  
    480480ac_ct_CXX = @ac_ct_CXX@
    481481ac_ct_F77 = @ac_ct_F77@
     482ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    482483ac_ct_RANLIB = @ac_ct_RANLIB@
    483484ac_ct_STRIP = @ac_ct_STRIP@
    484485ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    485 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    486486am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    487487am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/SCIP/trunk/configure

    r2700 r2885  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --enable-static[=PKGS]
    10901091                          build static libraries [default=no]
     
    19661967echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19671968  fi
     1969
     1970
     1971# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1972if test "${enable_static_standardlibs+set}" = set; then
     1973  enableval="$enable_static_standardlibs"
     1974  case "$enableval" in
     1975     no | yes | auto ) ;;
     1976     *)
     1977       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1978echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1979   { (exit 1); exit 1; }; } ;;
     1980   esac
     1981   use_static_standardlibs=$enableval
     1982else
     1983  use_static_standardlibs=no
     1984fi;
     1985
    19681986
    19691987
     
    28082826echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    28092827    fi ;;
     2828  * )
     2829    CYGPATH_W=echo
     2830    ;;
    28102831esac
    28112832CFLAGS="$save_cflags"
     
    29202941          clang* ) ;;
    29212942          cl* | */cl* | CL* | */CL*)
    2922             coin_opt_cflags='-MT -O2'
     2943            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2944              coin_opt_cflags='-MD -O2'
     2945              coin_dbg_cflags='-MDd'
     2946            else
     2947              coin_opt_cflags='-MT -O2'
     2948              coin_dbg_cflags='-MTd'
     2949            fi
    29232950            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2924             coin_dbg_cflags='-MTd'
    29252951            ;;
    29262952          icl* | */icl* | ICL* | */ICL*)
    2927             coin_opt_cflags='-MT -Ox'
     2953            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2954              coin_opt_cflags='-MD -Ox'
     2955              coin_dbg_cflags='-MDd -debug'
     2956            else
     2957              coin_opt_cflags='-MT -Ox'
     2958              coin_dbg_cflags='-MTd -debug'
     2959            fi
    29282960            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2929             coin_dbg_cflags='-MTd -debug'
    29302961            ;;
    29312962        esac
     
    30923123    CFLAGS="$OPT_CFLAGS"
    30933124  fi
     3125
    30943126else
    30953127  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32603292esac
    32613293
     3294# check whether to add flags for static linking against standard libraries to LDFLAGS
     3295if test x$use_static_standardlibs != xno ; then
     3296  case $build in
     3297    *-mingw*)
     3298      static_standardlib_flag=-static
     3299      ;;
     3300    *)
     3301      static_standardlib_flag=-static-libgcc
     3302      ;;
     3303  esac
     3304  case " $LDFLAGS " in
     3305    *" $static_standardlib_flag "* ) ;;
     3306    *)
     3307    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3308echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3309    coin_save_LDFLAGS="$LDFLAGS"
     3310    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3311    cat >conftest.$ac_ext <<_ACEOF
     3312/* confdefs.h.  */
     3313_ACEOF
     3314cat confdefs.h >>conftest.$ac_ext
     3315cat >>conftest.$ac_ext <<_ACEOF
     3316/* end confdefs.h.  */
     3317
     3318int
     3319main ()
     3320{
     3321int i=0;
     3322  ;
     3323  return 0;
     3324}
     3325_ACEOF
     3326rm -f conftest.$ac_objext conftest$ac_exeext
     3327if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3328  (eval $ac_link) 2>conftest.er1
     3329  ac_status=$?
     3330  grep -v '^ *+' conftest.er1 >conftest.err
     3331  rm -f conftest.er1
     3332  cat conftest.err >&5
     3333  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3334  (exit $ac_status); } &&
     3335         { ac_try='test -z "$ac_c_werror_flag"
     3336                         || test ! -s conftest.err'
     3337  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3338  (eval $ac_try) 2>&5
     3339  ac_status=$?
     3340  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3341  (exit $ac_status); }; } &&
     3342         { ac_try='test -s conftest$ac_exeext'
     3343  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3344  (eval $ac_try) 2>&5
     3345  ac_status=$?
     3346  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3347  (exit $ac_status); }; }; then
     3348  echo "$as_me:$LINENO: result: yes" >&5
     3349echo "${ECHO_T}yes" >&6
     3350else
     3351  echo "$as_me: failed program was:" >&5
     3352sed 's/^/| /' conftest.$ac_ext >&5
     3353
     3354echo "$as_me:$LINENO: result: no" >&5
     3355echo "${ECHO_T}no" >&6
     3356       LDFLAGS="$coin_save_LDFLAGS"
     3357       if test $use_static_standardlibs = yes ; then
     3358         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3359echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3360   { (exit 1); exit 1; }; }
     3361       fi
     3362
     3363fi
     3364rm -f conftest.err conftest.$ac_objext \
     3365      conftest$ac_exeext conftest.$ac_ext
     3366    ;;
     3367  esac
     3368fi
     3369
    32623370ac_ext=c
    32633371ac_cpp='$CPP $CPPFLAGS'
     
    32713379
    32723380 #Let's try if that overcomes configuration problem with VC++ 6.0
     3381
    32733382
    32743383ac_ext=cc
     
    37633872echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    37643873    fi ;;
     3874  * )
     3875    CYGPATH_W=echo
     3876    ;;
    37653877esac
    37663878CXXFLAGS="$save_cxxflags"
     
    38623974          clang* ) ;;
    38633975          cl* | */cl* | CL* | */CL*)
    3864             # The MT and MTd options are mutually exclusive
    3865             coin_opt_cxxflags='-MT -O2'
     3976            # The MT and MTd options are mutually exclusive
     3977            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3978               coin_opt_cxxflags='-MD -O2'
     3979               coin_dbg_cxxflags='-MDd'
     3980            else
     3981               coin_opt_cxxflags='-MT -O2'
     3982               coin_dbg_cxxflags='-MTd'
     3983            fi
    38663984            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    3867             coin_dbg_cxxflags='-MTd'
    38683985            ;;
    38693986          icl* | */icl* | ICL* | */ICL*)
    3870             # The MT and MTd options are mutually exclusive
    3871             coin_opt_cxxflags='-MT -Ox'
     3987          # The MT and MTd options are mutually exclusive
     3988            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3989              coin_opt_cxxflags='-MD -Ox'
     3990              coin_dbg_cxxflags='-MDd -debug'
     3991            else
     3992              coin_opt_cxxflags='-MT -Ox'
     3993              coin_dbg_cxxflags='-MTd -debug'
     3994            fi
    38723995            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    3873             coin_dbg_cxxflags='-MTd -debug'
    38743996            ;;
    38753997        esac
     
    42104332esac
    42114333
     4334# check whether to add flag for static linking against standard libraries to LDFLAGS
     4335if test x$use_static_standardlibs != xno ; then
     4336  case $build in
     4337    *-mingw*)
     4338      static_standardlib_flag=-static
     4339      ;;
     4340    *)
     4341      static_standardlib_flag=-static-libstdc++
     4342      ;;
     4343  esac
     4344  case " $LDFLAGS " in
     4345    *" $static_standardlib_flag "* ) ;;
     4346    *)
     4347    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4348echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4349    coin_save_LDFLAGS="$LDFLAGS"
     4350    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4351    cat >conftest.$ac_ext <<_ACEOF
     4352/* confdefs.h.  */
     4353_ACEOF
     4354cat confdefs.h >>conftest.$ac_ext
     4355cat >>conftest.$ac_ext <<_ACEOF
     4356/* end confdefs.h.  */
     4357
     4358int
     4359main ()
     4360{
     4361int i=0;
     4362  ;
     4363  return 0;
     4364}
     4365_ACEOF
     4366rm -f conftest.$ac_objext conftest$ac_exeext
     4367if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4368  (eval $ac_link) 2>conftest.er1
     4369  ac_status=$?
     4370  grep -v '^ *+' conftest.er1 >conftest.err
     4371  rm -f conftest.er1
     4372  cat conftest.err >&5
     4373  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4374  (exit $ac_status); } &&
     4375         { ac_try='test -z "$ac_cxx_werror_flag"
     4376                         || test ! -s conftest.err'
     4377  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4378  (eval $ac_try) 2>&5
     4379  ac_status=$?
     4380  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4381  (exit $ac_status); }; } &&
     4382         { ac_try='test -s conftest$ac_exeext'
     4383  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4384  (eval $ac_try) 2>&5
     4385  ac_status=$?
     4386  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4387  (exit $ac_status); }; }; then
     4388  echo "$as_me:$LINENO: result: yes" >&5
     4389echo "${ECHO_T}yes" >&6
     4390else
     4391  echo "$as_me: failed program was:" >&5
     4392sed 's/^/| /' conftest.$ac_ext >&5
     4393
     4394echo "$as_me:$LINENO: result: no" >&5
     4395echo "${ECHO_T}no" >&6
     4396       LDFLAGS="$coin_save_LDFLAGS"
     4397       if test $use_static_standardlibs = yes ; then
     4398         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4399echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4400   { (exit 1); exit 1; }; }
     4401       fi
     4402
     4403fi
     4404rm -f conftest.err conftest.$ac_objext \
     4405      conftest$ac_exeext conftest.$ac_ext
     4406    ;;
     4407  esac
     4408fi
     4409
    42124410ac_ext=c
    42134411ac_cpp='$CPP $CPPFLAGS'
     
    42254423# START
    42264424
     4425coin_disable_shared=no
    42274426# Test if force_shared has been set
    42284427if test "x" = xforce_shared; then
     
    42364435  # On Cygwin and AIX, building DLLs doesn't work
    42374436  case $build in
    4238     *-cygwin*)
     4437    *-cygwin* | *-mingw*)
    42394438      coin_disable_shared=yes
    4240       platform=Cygwin
     4439      if test x"$enable_shared" = xyes; then
     4440        case "$CXX" in
     4441          clang* )
     4442            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4443echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4444            ;;
     4445          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4446            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     4447echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4448            ;;
     4449          *)
     4450            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4451echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4452            ;;
     4453        esac
     4454      fi
    42414455    ;;
    42424456    *-aix*)
    42434457      coin_disable_shared=yes
    42444458      platform=AIX
    4245     ;;
    4246     *-mingw*)
    4247       coin_disable_shared=yes
    4248       platform="Msys"
    4249 #      case "$CXX" in
    4250 #        cl*)
    4251 #          coin_disable_shared=yes
    4252 #          platform="Msys with cl"
    4253 #      ;;
    4254 #      esac
     4459      if test x"$enable_shared" = xyes; then
     4460        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     4461echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4462      fi
    42554463    ;;
    42564464  esac
     
    42584466if test x"$coin_disable_shared" = xyes; then
    42594467  if test x"$enable_shared" = xyes; then
    4260     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4261 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4468    :
     4469  else
     4470    # we don't disable shared, because it was not selected anyway
     4471    coin_disable_shared=no
    42624472  fi
    42634473  enable_shared=no
     
    59666176*-*-irix6*)
    59676177  # Find out which ABI we are using.
    5968   echo '#line 5968 "configure"' > conftest.$ac_ext
     6178  echo '#line 6178 "configure"' > conftest.$ac_ext
    59696179  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59706180  (eval $ac_compile) 2>&5
     
    71007310
    71017311# Provide some information about the compiler.
    7102 echo "$as_me:7102:" \
     7312echo "$as_me:7312:" \
    71037313     "checking for Fortran 77 compiler version" >&5
    71047314ac_compiler=`set X $ac_compile; echo $2`
     
    81678377   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81688378   -e 's:$: $lt_compiler_flag:'`
    8169    (eval echo "\"\$as_me:8169: $lt_compile\"" >&5)
     8379   (eval echo "\"\$as_me:8379: $lt_compile\"" >&5)
    81708380   (eval "$lt_compile" 2>conftest.err)
    81718381   ac_status=$?
    81728382   cat conftest.err >&5
    8173    echo "$as_me:8173: \$? = $ac_status" >&5
     8383   echo "$as_me:8383: \$? = $ac_status" >&5
    81748384   if (exit $ac_status) && test -s "$ac_outfile"; then
    81758385     # The compiler can only warn and ignore the option if not recognized
     
    84358645   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84368646   -e 's:$: $lt_compiler_flag:'`
    8437    (eval echo "\"\$as_me:8437: $lt_compile\"" >&5)
     8647   (eval echo "\"\$as_me:8647: $lt_compile\"" >&5)
    84388648   (eval "$lt_compile" 2>conftest.err)
    84398649   ac_status=$?
    84408650   cat conftest.err >&5
    8441    echo "$as_me:8441: \$? = $ac_status" >&5
     8651   echo "$as_me:8651: \$? = $ac_status" >&5
    84428652   if (exit $ac_status) && test -s "$ac_outfile"; then
    84438653     # The compiler can only warn and ignore the option if not recognized
     
    85398749   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85408750   -e 's:$: $lt_compiler_flag:'`
    8541    (eval echo "\"\$as_me:8541: $lt_compile\"" >&5)
     8751   (eval echo "\"\$as_me:8751: $lt_compile\"" >&5)
    85428752   (eval "$lt_compile" 2>out/conftest.err)
    85438753   ac_status=$?
    85448754   cat out/conftest.err >&5
    8545    echo "$as_me:8545: \$? = $ac_status" >&5
     8755   echo "$as_me:8755: \$? = $ac_status" >&5
    85468756   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85478757   then
     
    1088411094  lt_status=$lt_dlunknown
    1088511095  cat > conftest.$ac_ext <<EOF
    10886 #line 10886 "configure"
     11096#line 11096 "configure"
    1088711097#include "confdefs.h"
    1088811098
     
    1098411194  lt_status=$lt_dlunknown
    1098511195  cat > conftest.$ac_ext <<EOF
    10986 #line 10986 "configure"
     11196#line 11196 "configure"
    1098711197#include "confdefs.h"
    1098811198
     
    1332813538   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1332913539   -e 's:$: $lt_compiler_flag:'`
    13330    (eval echo "\"\$as_me:13330: $lt_compile\"" >&5)
     13540   (eval echo "\"\$as_me:13540: $lt_compile\"" >&5)
    1333113541   (eval "$lt_compile" 2>conftest.err)
    1333213542   ac_status=$?
    1333313543   cat conftest.err >&5
    13334    echo "$as_me:13334: \$? = $ac_status" >&5
     13544   echo "$as_me:13544: \$? = $ac_status" >&5
    1333513545   if (exit $ac_status) && test -s "$ac_outfile"; then
    1333613546     # The compiler can only warn and ignore the option if not recognized
     
    1343213642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1343313643   -e 's:$: $lt_compiler_flag:'`
    13434    (eval echo "\"\$as_me:13434: $lt_compile\"" >&5)
     13644   (eval echo "\"\$as_me:13644: $lt_compile\"" >&5)
    1343513645   (eval "$lt_compile" 2>out/conftest.err)
    1343613646   ac_status=$?
    1343713647   cat out/conftest.err >&5
    13438    echo "$as_me:13438: \$? = $ac_status" >&5
     13648   echo "$as_me:13648: \$? = $ac_status" >&5
    1343913649   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1344013650   then
     
    1500215212   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1500315213   -e 's:$: $lt_compiler_flag:'`
    15004    (eval echo "\"\$as_me:15004: $lt_compile\"" >&5)
     15214   (eval echo "\"\$as_me:15214: $lt_compile\"" >&5)
    1500515215   (eval "$lt_compile" 2>conftest.err)
    1500615216   ac_status=$?
    1500715217   cat conftest.err >&5
    15008    echo "$as_me:15008: \$? = $ac_status" >&5
     15218   echo "$as_me:15218: \$? = $ac_status" >&5
    1500915219   if (exit $ac_status) && test -s "$ac_outfile"; then
    1501015220     # The compiler can only warn and ignore the option if not recognized
     
    1510615316   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1510715317   -e 's:$: $lt_compiler_flag:'`
    15108    (eval echo "\"\$as_me:15108: $lt_compile\"" >&5)
     15318   (eval echo "\"\$as_me:15318: $lt_compile\"" >&5)
    1510915319   (eval "$lt_compile" 2>out/conftest.err)
    1511015320   ac_status=$?
    1511115321   cat out/conftest.err >&5
    15112    echo "$as_me:15112: \$? = $ac_status" >&5
     15322   echo "$as_me:15322: \$? = $ac_status" >&5
    1511315323   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1511415324   then
     
    1731317523   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1731417524   -e 's:$: $lt_compiler_flag:'`
    17315    (eval echo "\"\$as_me:17315: $lt_compile\"" >&5)
     17525   (eval echo "\"\$as_me:17525: $lt_compile\"" >&5)
    1731617526   (eval "$lt_compile" 2>conftest.err)
    1731717527   ac_status=$?
    1731817528   cat conftest.err >&5
    17319    echo "$as_me:17319: \$? = $ac_status" >&5
     17529   echo "$as_me:17529: \$? = $ac_status" >&5
    1732017530   if (exit $ac_status) && test -s "$ac_outfile"; then
    1732117531     # The compiler can only warn and ignore the option if not recognized
     
    1758117791   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1758217792   -e 's:$: $lt_compiler_flag:'`
    17583    (eval echo "\"\$as_me:17583: $lt_compile\"" >&5)
     17793   (eval echo "\"\$as_me:17793: $lt_compile\"" >&5)
    1758417794   (eval "$lt_compile" 2>conftest.err)
    1758517795   ac_status=$?
    1758617796   cat conftest.err >&5
    17587    echo "$as_me:17587: \$? = $ac_status" >&5
     17797   echo "$as_me:17797: \$? = $ac_status" >&5
    1758817798   if (exit $ac_status) && test -s "$ac_outfile"; then
    1758917799     # The compiler can only warn and ignore the option if not recognized
     
    1768517895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1768617896   -e 's:$: $lt_compiler_flag:'`
    17687    (eval echo "\"\$as_me:17687: $lt_compile\"" >&5)
     17897   (eval echo "\"\$as_me:17897: $lt_compile\"" >&5)
    1768817898   (eval "$lt_compile" 2>out/conftest.err)
    1768917899   ac_status=$?
    1769017900   cat out/conftest.err >&5
    17691    echo "$as_me:17691: \$? = $ac_status" >&5
     17901   echo "$as_me:17901: \$? = $ac_status" >&5
    1769217902   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1769317903   then
     
    2044320653          -e 's%lib /OUT:%lib -OUT:%' \
    2044420654          -e "s%cygpath -w%$CYGPATH_W%" \
    20445           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20446           -e 's/$AR t/lib -nologo -list/' \
     20655          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20656          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2044720657          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2044820658          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     
    2062120831  use_pkgconfig="$enableval"
    2062220832else
    20623   use_pkgconfig=yes
     20833  if test x$coin_cc_is_cl = xtrue; then
     20834     use_pkgconfig=no
     20835   else
     20836     use_pkgconfig=yes
     20837   fi
    2062420838fi;
    2062520839
     
    2063120845echo "$as_me:$LINENO: checking for $ac_word" >&5
    2063220846echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20633 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20847if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    2063420848  echo $ECHO_N "(cached) $ECHO_C" >&6
    2063520849else
    20636   case $PKG_CONFIG in
    20637   [\\/]* | ?:[\\/]*)
    20638   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    20639   ;;
    20640   *)
    20641   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20850  if test -n "$PKG_CONFIG"; then
     20851  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     20852else
     20853as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2064220854for as_dir in $PATH
    2064320855do
     
    2064620858  for ac_exec_ext in '' $ac_executable_extensions; do
    2064720859  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20648     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20860    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    2064920861    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2065020862    break 2
     
    2065320865done
    2065420866
    20655   ;;
    20656 esac
    20657 fi
    20658 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    20659 
     20867fi
     20868fi
     20869PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    2066020870if test -n "$PKG_CONFIG"; then
    2066120871  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2066720877
    2066820878fi
    20669 if test -z "$ac_cv_path_PKG_CONFIG"; then
    20670   ac_pt_PKG_CONFIG=$PKG_CONFIG
     20879if test -z "$ac_cv_prog_PKG_CONFIG"; then
     20880  ac_ct_PKG_CONFIG=$PKG_CONFIG
    2067120881  # Extract the first word of "pkg-config", so it can be a program name with args.
    2067220882set dummy pkg-config; ac_word=$2
    2067320883echo "$as_me:$LINENO: checking for $ac_word" >&5
    2067420884echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20675 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20885if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    2067620886  echo $ECHO_N "(cached) $ECHO_C" >&6
    2067720887else
    20678   case $ac_pt_PKG_CONFIG in
    20679   [\\/]* | ?:[\\/]*)
    20680   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    20681   ;;
    20682   *)
    20683   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20888  if test -n "$ac_ct_PKG_CONFIG"; then
     20889  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     20890else
     20891as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2068420892for as_dir in $PATH
    2068520893do
     
    2068820896  for ac_exec_ext in '' $ac_executable_extensions; do
    2068920897  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20690     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20898    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    2069120899    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2069220900    break 2
     
    2069520903done
    2069620904
    20697   ;;
    20698 esac
    20699 fi
    20700 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    20701 
    20702 if test -n "$ac_pt_PKG_CONFIG"; then
    20703   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    20704 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20905fi
     20906fi
     20907ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     20908if test -n "$ac_ct_PKG_CONFIG"; then
     20909  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     20910echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    2070520911else
    2070620912  echo "$as_me:$LINENO: result: no" >&5
     
    2070820914fi
    2070920915
    20710   PKG_CONFIG=$ac_pt_PKG_CONFIG
    20711 else
    20712   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20916  PKG_CONFIG=$ac_ct_PKG_CONFIG
     20917else
     20918  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    2071320919fi
    2071420920
     
    2601226218s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2601326219s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    26014 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     26220s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    2601526221s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    2601626222s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.